*{
box-sizing: border-box;
margin: 0;
padding: 0;
}
html{
    font-size: 125%; /*1rem = 18px*/
    scroll-behavior: smooth;
}
body{
    background-color: rgb(252, 251, 251);
    color: rgb(2, 2, 2);
    font-family: "Roboto Flex", sans-serif;
    line-height: 1.5;
    text-align: center;
}
nav.mobile-nav{
    display: none;
}
nav.desktop{
    width: 100%;
    overflow: hidden;
}
nav.desktop a{
    display: block;
    float: left;
    color: rgb(103, 146, 137);
    margin-bottom: 0.2rem;
    margin-top: 0.2rem;
    padding: 1.125rem 1rem;
    text-decoration: none;
    font-size: 1.15rem;
}
nav.desktop a:hover{
    background-color: black;
    color: white;
    border-radius: 1.5rem;
}
nav.desktop a.active{
    background-color: rgb(243, 22, 22);
    color: black;
    border-radius: 1.5rem;
}
main{
    width: 80%;
    margin: 4rem auto;
}
article{
    margin-bottom: 3rem;
}

/*sloupce, obtékání*/
.col-3{
    width: 33.333%;
    float: left;
    padding: 1rem;
}
.col-2{
    width: 50%;
    float: left;
    padding: 1rem;
}

/*konec obtekani*/
.clearfix::after{     
    content: " ";
    display: table;
    clear: both;
}

footer{
    color: rgb(247, 237, 237);
    background-color: rgb(41, 40, 40);
    padding: 2rem;
}

/*pismo a text*/
h1{
    text-transform: uppercase;
    font-size: 2rem;
    margin-top: 1.5rem;
}
h2{
    font-size: 1.5rem;
    margin-bottom: 2rem;
    color: rgb(52, 116, 201);
}
h3{
    margin-top: 0.5rem;
    margin-bottom: 1rem;
    color: blueviolet;
}
p{
    font-size: 1rem;
    text-align: justify;
}
.col-3 i.fa-solid{
    font-size: 1.5rem;
    color: rgb(255, 0, 0);
}
address{
    text-align: left;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}
footer a{
    color: azure;
}


/*responzivní obrázek*/
header img{
    width: 100%;
    height: auto;
}
img{
    max-width: 100%;  /*max velikost obrazku puvodni velikost*/
    height: auto;
}
footer img{
    border-radius: 50%;
}
.arrow{
    display: block;
    font-size: 2.5rem;
    color: rgb(226, 2, 2);
    position: fixed;
    right: 2rem;
    bottom: 1.5rem;
}
.right{
    text-align: right;
}
@media screen and (max-width:768px){
    article{
        width: 100%;
        margin-bottom: 2rem;
    }
    .col-3{
        width: 100%;
        float: none;
    }
}
@media screen and (max-width:460px){
    .col-2{
        width: 100%;
        float: none;
    }
    .right, footer,address,footer p{
        text-align: center;
    }
    nav{
        display: none;
    }
    nav a{
        float: none;
        width: 100%;
        border-bottom:1px solid black ;
    }
    nav.mobile-nav{
        display: block;
        font-size: 1.25rem;
    }
}

/*fotogalerie*/

.img_float img{
    border: 0.1rem black solid;
}
.img_float::after {
    content: "";
    display: block;
    clear: both;
}
.img_float img:hover{
    transform: scale(1.2);
}